Bug 626431 - FC 13 /etc/sysconfig/init ACTIVE_CONSOLES= limits # ttys to 9
FC 13 /etc/sysconfig/init ACTIVE_CONSOLES= limits # ttys to 9
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-23 10:38 EDT by floyd smith
Modified: 2014-03-16 23:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-21 05:03:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description floyd smith 2010-08-23 10:38:43 EDT
Description of problem:
FC 13 /etc/sysconfig/init (line ACTIVE_CONSOLES=) does not support changing
number of consoles to above 9.
That is, 1he max can not be say 10. 11 or 12 (like [1-11], for example).
In FC 12, the event.d dir allowed for expanding the default number of 6 by
creating mingetty text files tty9, 10, 11 and even 12 (but tty 12 could not
used for root and tty7 is not created for it is reseved for "X" windows). I
guest the new /etc/sysconfig/init method should allow a max up to 11 leaving
12 for "X".

Floyd,


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Petr Lautrbach 2010-09-21 05:03:57 EDT
You can use plain list of all consoles or some shell expansion:

ACTIVE_CONSOLE="/dev/tty1 /dev/tty2 /dev/tty3 /dev/tty4 /dev/tty5 /dev/tty6 /dev/tty7 /dev/tty8 /dev/tty9 /dev/tty10 /dev/tty11"

ACTIVE_CONSOLE="/dev/tty[1-9] /dev/tty10 /dev/tty11"

Note You need to log in before you can comment on or make changes to this bug.